package com.chenyang.nse.bussiness.entity.vo;

public class ComboboxVO {
   private String value;
   private String text;
   private String flag;
   private String filePath;
   private String id;
   private String dbType;
   private String schmeid;
   private String dataSystemId;

   public ComboboxVO() {
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public ComboboxVO(String valueandtext) {
      this.value = valueandtext;
      this.text = valueandtext;
   }

   public ComboboxVO(String value, String text) {
      this.value = value;
      this.text = text;
   }

   public String getValue() {
      return this.value;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public String getText() {
      return this.text;
   }

   public void setText(String text) {
      this.text = text;
   }

   public String getFilePath() {
      return this.filePath;
   }

   public void setFilePath(String filePath) {
      this.filePath = filePath;
   }

   public String getId() {
      return this.id;
   }

   public String getDbType() {
      return this.dbType;
   }

   public String getSchmeid() {
      return this.schmeid;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setDbType(final String dbType) {
      this.dbType = dbType;
   }

   public void setSchmeid(final String schmeid) {
      this.schmeid = schmeid;
   }

   public void setDataSystemId(final String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ComboboxVO)) {
         return false;
      } else {
         ComboboxVO other = (ComboboxVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$value = this.getValue();
            Object other$value = other.getValue();
            if (this$value == null) {
               if (other$value != null) {
                  return false;
               }
            } else if (!this$value.equals(other$value)) {
               return false;
            }

            Object this$text = this.getText();
            Object other$text = other.getText();
            if (this$text == null) {
               if (other$text != null) {
                  return false;
               }
            } else if (!this$text.equals(other$text)) {
               return false;
            }

            Object this$flag = this.getFlag();
            Object other$flag = other.getFlag();
            if (this$flag == null) {
               if (other$flag != null) {
                  return false;
               }
            } else if (!this$flag.equals(other$flag)) {
               return false;
            }

            Object this$filePath = this.getFilePath();
            Object other$filePath = other.getFilePath();
            if (this$filePath == null) {
               if (other$filePath != null) {
                  return false;
               }
            } else if (!this$filePath.equals(other$filePath)) {
               return false;
            }

            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$dbType = this.getDbType();
            Object other$dbType = other.getDbType();
            if (this$dbType == null) {
               if (other$dbType != null) {
                  return false;
               }
            } else if (!this$dbType.equals(other$dbType)) {
               return false;
            }

            Object this$schmeid = this.getSchmeid();
            Object other$schmeid = other.getSchmeid();
            if (this$schmeid == null) {
               if (other$schmeid != null) {
                  return false;
               }
            } else if (!this$schmeid.equals(other$schmeid)) {
               return false;
            }

            Object this$dataSystemId = this.getDataSystemId();
            Object other$dataSystemId = other.getDataSystemId();
            if (this$dataSystemId == null) {
               if (other$dataSystemId != null) {
                  return false;
               }
            } else if (!this$dataSystemId.equals(other$dataSystemId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ComboboxVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $value = this.getValue();
      result = result * 59 + ($value == null ? 43 : $value.hashCode());
      Object $text = this.getText();
      result = result * 59 + ($text == null ? 43 : $text.hashCode());
      Object $flag = this.getFlag();
      result = result * 59 + ($flag == null ? 43 : $flag.hashCode());
      Object $filePath = this.getFilePath();
      result = result * 59 + ($filePath == null ? 43 : $filePath.hashCode());
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $dbType = this.getDbType();
      result = result * 59 + ($dbType == null ? 43 : $dbType.hashCode());
      Object $schmeid = this.getSchmeid();
      result = result * 59 + ($schmeid == null ? 43 : $schmeid.hashCode());
      Object $dataSystemId = this.getDataSystemId();
      result = result * 59 + ($dataSystemId == null ? 43 : $dataSystemId.hashCode());
      return result;
   }

   public String toString() {
      return "ComboboxVO(value=" + this.getValue() + ", text=" + this.getText() + ", flag=" + this.getFlag() + ", filePath=" + this.getFilePath() + ", id=" + this.getId() + ", dbType=" + this.getDbType() + ", schmeid=" + this.getSchmeid() + ", dataSystemId=" + this.getDataSystemId() + ")";
   }
}
